Bug 1746017 - Review Request: python-timeout-decorator - a timeout decorator for Python
Summary: Review Request: python-timeout-decorator - a timeout decorator for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-27 13:28 UTC by jcapitao
Modified: 2019-09-15 00:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-08 02:58:53 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 jcapitao 2019-08-27 13:52:51 UTC
Unfortunately, atm, there are no tests and licenses in tarballs.
I asked upstream to add it [1].

[1] https://github.com/pnpnpn/timeout-decorator/issues/60

Comment 2 Robert-André Mauchin 2019-08-27 23:55:34 UTC
 - warning: bogus date in %changelog: Thu Aug 26 2019 Joel Capitao <jcapitao@redhat.com>

26 is a Monday

 - You need to include Version-Release info in your %changelog entry:

* Thu Aug 26 2019 Joel Capitao <jcapitao@redhat.com> - 0.4.1-1



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 12 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/python-timeout-
     decorator/review-python-timeout-decorator/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-timeout-decorator-0.4.1-1.fc32.noarch.rpm
          python-timeout-decorator-0.4.1-1.fc32.src.rpm
python3-timeout-decorator.noarch: W: no-version-in-last-changelog
python-timeout-decorator.src: W: no-version-in-last-changelog
python-timeout-decorator.src: E: specfile-error warning: bogus date in %changelog: Thu Aug 26 2019 Joel Capitao <jcapitao@redhat.com>
2 packages and 0 specfiles checked; 1 errors, 2 warnings.

Comment 3 jcapitao 2019-08-28 13:57:12 UTC
Hi Robert-André,

Thank you for reviewing my package.
I fixed the issues in this commit [1].


* Spec URL: https://raw.githubusercontent.com/jcapiitao/rpmbuild/master/SPECS/python-timeout-decorator.spec
* SRPM URL: https://github.com/jcapiitao/rpmbuild/blob/master/SRPMS/python-timeout-decorator-0.4.1-1.fc30.src.rpm?raw=true

I also changed the URLs to be compatible with fedora-review.

I was able to build this successfully in Koji (F30) and COPR :

* https://koji.fedoraproject.org/koji/taskinfo?taskID=37321328
* https://copr.fedorainfracloud.org/coprs/jcapitao/python-timeout-decorator/

[1] https://github.com/jcapiitao/rpmbuild/commit/69f8e7841aec3468f06cccc6659bc23493483bb8

Comment 4 Robert-André Mauchin 2019-08-28 20:31:18 UTC
LGTM, package approved.

You still need to find a sponsor: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 5 Robert-André Mauchin 2019-08-29 17:42:12 UTC
Sponsored.

Comment 6 Gwyn Ciesla 2019-08-30 13:08:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-timeout-decorator

Comment 7 Fedora Update System 2019-08-30 16:11:59 UTC
FEDORA-2019-c32606c880 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c32606c880

Comment 8 Fedora Update System 2019-08-30 16:13:34 UTC
FEDORA-2019-c1dbd12ebf has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1dbd12ebf

Comment 9 Fedora Update System 2019-08-30 16:14:15 UTC
FEDORA-EPEL-2019-7fbed5eaec has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7fbed5eaec

Comment 10 Fedora Update System 2019-08-30 20:33:10 UTC
python-timeout-decorator-0.4.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c32606c880

Comment 11 Fedora Update System 2019-08-31 01:04:01 UTC
python-timeout-decorator-0.4.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c1dbd12ebf

Comment 12 Fedora Update System 2019-08-31 03:19:50 UTC
python-timeout-decorator-0.4.1-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7fbed5eaec

Comment 13 Fedora Update System 2019-09-08 02:58:53 UTC
python-timeout-decorator-0.4.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-09-14 00:08:00 UTC
python-timeout-decorator-0.4.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-09-14 16:31:57 UTC
python-timeout-decorator-0.4.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-09-15 00:58:56 UTC
python-timeout-decorator-0.4.1-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.